<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:html="http://www.w3.org/1999/xhtml">

<!--rst

.. _select_id.xsl:

=============
select_id.xsl
=============

DESCRIPTION
===========

creation d'un ensemble select avec tous les identifiants d'auteur

TODO
====

xforms
<OPTGROUP label="PortMaster 3"> A B C cf http://www.la-grange.net/w3c/html4.01/interact/forms.html#edef-OPTION

EVOLUTIONS
==========

$Id$

- fplod 2008-04-29T15:21:42Z aedon.locean-ipsl.upmc.fr (Darwin)

  * chgt for dbk5 in

- fplod 2008-04-28T15:13:56Z aedon.locean-ipsl.upmc.fr (Darwin)

  * chgt for dbk5 out

- fplod 2007-10-17T08:09:03Z aedon.locean-ipsl.upmc.fr (Darwin)

  * improve sort (diacriticals)

- fplod 2007-05-18T14:52:55Z aedon.locean-ipsl.upmc.fr (Darwin)

  * modif gestion id

- fplod 2007-05-18T08:03:40Z aedon.locean-ipsl.upmc.fr (Darwin)

  * correction pour homnymes partiels

- fplod 2007-04-20T12:49:26Z aedon.locean-ipsl.upmc.fr (Darwin)

  * d'aprs http://enacit1.epfl.ch/exercices_html/ex_boutons.html
    Navigation par menu droulant

- fplod 2007-04-18T09:23:37Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation

-->

<xsl:include href="firstname_id.xsl"/>
<xsl:include href="surname_id.xsl"/>

<xsl:output
 method="xml"
 indent="yes"
 omit-xml-declaration="no"/>

<xsl:variable name="list_author_ids" select="///d:author[not( self::node() = following::d:author )]"/>
<xsl:template name="author_ids">
<xsl:element name="html:select">
 <xsl:attribute name="version">5.0</xsl:attribute>
<!--d'aprs http://enacit1.epfl.ch/exercices_html/ex_boutons.html
Navigation par menu droulant
-->
 <xsl:attribute name="onChange">document.location=this.options[this.selectedIndex].value</xsl:attribute>
 <xsl:attribute name="size">1</xsl:attribute>
 <!-- one empty -->
 <xsl:element name="html:option">
   <xsl:attribute name="value">#</xsl:attribute>
   <xsl:attribute name="SELECTED"/>
   Choose one of these known authors id
 </xsl:element>
 <xsl:for-each select="///d:author[not( self::node() = following::d:author )]">
  <xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
  <xsl:element name="html:option">
   <xsl:variable name="author_id">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="d:personname/d:surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="d:personname/d:firstname"/>
</xsl:call-template>
   </xsl:variable>
   <xsl:variable name="path">../many/superbib02/</xsl:variable>
   <xsl:variable name="ext">php</xsl:variable>
   <xsl:variable name="url"><xsl:value-of select="$path"/><xsl:value-of select="$author_id"/>.<xsl:value-of select="$ext"/></xsl:variable>
   <xsl:attribute name="value"><xsl:value-of select="$url"/></xsl:attribute>
   <xsl:value-of select="$author_id"/>
  </xsl:element>
 </xsl:for-each>
</xsl:element>
</xsl:template>

<xsl:template match="d:bibliography">
 <xsl:call-template name="author_ids"/>
</xsl:template>

</xsl:stylesheet>
