<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet
version="1.0"
xmlns:d="http://docbook.org/ns/docbook"
xmlns:xl="http://www.w3.org/1999/xlink"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--rst

.. _superbib02_rest.xsl:

===================
superbib02_rest.xsl
===================

produce a DocBook 5 with bibliograhy references sorted by authors

TODO
====

make it beautifull

EVOLUTIONS
==========

$Id$

$URL$

- fplod 20120229

  * creation from superbib02_xml.xsl

-->

<xsl:output
 method="text"
 indent="yes"/>

<xsl:include href="firstname_id.xsl"/>
<xsl:include href="surname_id.xsl"/>
<xsl:include href="table_authors.xsl"/>
<xsl:include href="biblioentry_rest.xsl"/>

<xsl:variable name="list_author_ids" select="///d:author[not( self::node() = following::d:author )]"/>

<xsl:variable name="project">
 <xsl:value-of select="document('main.xml')//d:keyword[@xml:id='project']"/>
</xsl:variable>

<xsl:template match="d:bibliography">

<xsl:value-of select="$project"/> - Publications - Papers by authors
====================================================================

.. meta::
   :keyword: <xsl:value-of select="$project"/>

.. _top:

This page intents to provide an exhaustive list of the papers that have used <xsl:value-of select="$project"/> and/or results from them. Obvioulsy many papers are missing. If you find omissions or mistakes please ask some modification via
++lien <xsl:value-of select="'./main.php'"/>
 <xsl:value-of select="document('main.xml')/d:article/d:title"/>

 You can also see **<xsl:value-of select="$project"/> - Publications - Papers** sorted by
++lien  <xsl:value-of select="'./superbib01.html'"/>

<xsl:text>years</xsl:text>

<xsl:call-template name="para_lastupdate_bib">
 <xsl:with-param name="language" select="@xml:lang"/>
 <xsl:with-param name="date" select="'ginette'"/>
 <!-- ++
 <xsl:with-param name="date" select="d:info/d:date"/>
 -->
 <xsl:with-param name="mode" select="'rest'"/>
</xsl:call-template>

.. _intro:

Introduction
=============

This document provide bibliography sorted by author's id (**SURNAME_f**).

<xsl:call-template name="table_authors">
<xsl:with-param name="linktype" select="'internal'"/>
</xsl:call-template>

<!-- loop on author_ids -->
<xsl:for-each select="$list_author_ids">
<xsl:sort order="ascending" data-type="text" select="translate(.,'abcdefghijklmnopqrstuvwxyz ', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ_EECAUEONO')"/>
<xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="d:personname/d:surname"/>
</xsl:call-template>
<xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="d:personname/d:firstname"/>
</xsl:call-template>
</xsl:variable>
<xsl:call-template name="one_author_id">
<xsl:with-param name="author_id" select="$author_id2"/>
<xsl:with-param name="author_name" select="."/>
</xsl:call-template>
</xsl:for-each>

</xsl:template>

<xsl:template match="d:info/d:date"/>
<xsl:template match="d:bibliography/d:title"/>

<xsl:template name="one_author_id">
<xsl:param name="author_id"/>
<xsl:param name="author_name"/>

.. _<xsl:value-of select="$author_id"/>:

<xsl:value-of select="normalize-space($author_name/d:personname/d:firstname)"/><xsl:text> </xsl:text><xsl:value-of select="normalize-space($author_name/d:personname/d:surname)"/>
+++++++++++++++++++++++++++++++++++++++++++++++

.. |top| image:: ../../images/globalicondl11x10_up.gif

_top:: `ref:`top`

   |top|

   <xsl:for-each select="//d:biblioentry">
    <xsl:sort order="descending" data-type="number" select="./d:biblioset/d:pubdate"/>
    <xsl:for-each select="descendant::d:author">
     <xsl:sort order="ascending" data-type="text" select="./d:personname/d:surname"/>
     <xsl:sort order="ascending" data-type="text" select="./d:personname/d:firstname"/>
     <xsl:variable name="author_id2">
<xsl:call-template name="surname_id">
 <xsl:with-param name="surname" select="d:personname/d:surname"/>
</xsl:call-template>
      <xsl:text>_</xsl:text>
<xsl:call-template name="firstname_id">
 <xsl:with-param name="firstname" select="d:personname/d:firstname"/>
</xsl:call-template>
     </xsl:variable>

     <xsl:if test="$author_id2 = $author_id">
  <xsl:call-template name="one_biblioentry_rest">
   <xsl:with-param name="visu_modif" select="'visu'"/>
   <xsl:with-param name="type" select="'raw'"/>
   <xsl:with-param name="my_biblioentry" select="ancestor::d:biblioentry"/>
  </xsl:call-template>
     </xsl:if>
    </xsl:for-each>
   </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
